// VDCGenDlg.h : header file
//

#include "drvlinx.h"
#include "dlcodes.h"
// add also the drvlnx32.lib to the project

#if !defined(AFX_VDCGENDLG_H__FD2589A6_F1A2_11D6_8221_00609716765B__INCLUDED_)
#define AFX_VDCGENDLG_H__FD2589A6_F1A2_11D6_8221_00609716765B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVDCGenDlg dialog

class CVDCGenDlg : public CDialog
{
// Construction
public:
	CVDCGenDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVDCGenDlg)
	enum { IDD = IDD_VDCGEN_DIALOG };
	CButton	m_stop;
	CButton	m_start;
	CButton	m_open;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVDCGenDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVDCGenDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpen();
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void showMessage(DL_ServiceRequest *SR);  // error handling function
	DL_ServiceRequest * m_pSR;      // a Service Request structure for our task
	HINSTANCE m_driverInstance;     // an instance handle for the open driver
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VDCGENDLG_H__FD2589A6_F1A2_11D6_8221_00609716765B__INCLUDED_)
